Documentation
¶
Index ¶
- Constants
- type GetArchiveByID
- type GetArchiveByIDBadRequest
- type GetArchiveByIDHandler
- type GetArchiveByIDHandlerFunc
- type GetArchiveByIDNotFound
- type GetArchiveByIDOK
- type GetArchiveByIDParams
- type GetArchiveByIDURL
- func (o *GetArchiveByIDURL) Build() (*url.URL, error)
- func (o *GetArchiveByIDURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetArchiveByIDURL) Must(u *url.URL, err error) *url.URL
- func (o *GetArchiveByIDURL) SetBasePath(bp string)
- func (o *GetArchiveByIDURL) String() string
- func (o *GetArchiveByIDURL) StringFull(scheme, host string) string
- func (o *GetArchiveByIDURL) WithBasePath(bp string) *GetArchiveByIDURL
- type GetArchives
- type GetArchivesForbidden
- type GetArchivesHandler
- type GetArchivesHandlerFunc
- type GetArchivesInternalServerError
- func (o *GetArchivesInternalServerError) SetPayload(payload *models.APIResponse)
- func (o *GetArchivesInternalServerError) WithPayload(payload *models.APIResponse) *GetArchivesInternalServerError
- func (o *GetArchivesInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type GetArchivesMethodNotAllowed
- type GetArchivesNotFound
- type GetArchivesOK
- type GetArchivesParams
- type GetArchivesServiceUnavailable
- type GetArchivesURL
- func (o *GetArchivesURL) Build() (*url.URL, error)
- func (o *GetArchivesURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetArchivesURL) Must(u *url.URL, err error) *url.URL
- func (o *GetArchivesURL) SetBasePath(bp string)
- func (o *GetArchivesURL) String() string
- func (o *GetArchivesURL) StringFull(scheme, host string) string
- func (o *GetArchivesURL) WithBasePath(bp string) *GetArchivesURL
- type NewArchive
- type NewArchiveForbidden
- type NewArchiveHandler
- type NewArchiveHandlerFunc
- type NewArchiveInternalServerError
- type NewArchiveMethodNotAllowed
- type NewArchiveNotFound
- type NewArchiveOK
- type NewArchiveParams
- type NewArchiveServiceUnavailable
- type NewArchiveURL
- func (o *NewArchiveURL) Build() (*url.URL, error)
- func (o *NewArchiveURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *NewArchiveURL) Must(u *url.URL, err error) *url.URL
- func (o *NewArchiveURL) SetBasePath(bp string)
- func (o *NewArchiveURL) String() string
- func (o *NewArchiveURL) StringFull(scheme, host string) string
- func (o *NewArchiveURL) WithBasePath(bp string) *NewArchiveURL
- type UpdateArchive
- type UpdateArchiveBadGateway
- type UpdateArchiveForbidden
- type UpdateArchiveGatewayTimeout
- type UpdateArchiveHandler
- type UpdateArchiveHandlerFunc
- type UpdateArchiveInternalServerError
- func (o *UpdateArchiveInternalServerError) SetPayload(payload *models.APIResponse)
- func (o *UpdateArchiveInternalServerError) WithPayload(payload *models.APIResponse) *UpdateArchiveInternalServerError
- func (o *UpdateArchiveInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type UpdateArchiveMethodNotAllowed
- type UpdateArchiveNotFound
- type UpdateArchiveOK
- type UpdateArchiveParams
- type UpdateArchiveServiceUnavailable
- func (o *UpdateArchiveServiceUnavailable) SetPayload(payload *models.APIResponse)
- func (o *UpdateArchiveServiceUnavailable) WithPayload(payload *models.APIResponse) *UpdateArchiveServiceUnavailable
- func (o *UpdateArchiveServiceUnavailable) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type UpdateArchiveURL
- func (o *UpdateArchiveURL) Build() (*url.URL, error)
- func (o *UpdateArchiveURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *UpdateArchiveURL) Must(u *url.URL, err error) *url.URL
- func (o *UpdateArchiveURL) SetBasePath(bp string)
- func (o *UpdateArchiveURL) String() string
- func (o *UpdateArchiveURL) StringFull(scheme, host string) string
- func (o *UpdateArchiveURL) WithBasePath(bp string) *UpdateArchiveURL
Constants ¶
const GetArchiveByIDBadRequestCode int = 400
GetArchiveByIDBadRequestCode is the HTTP code returned for type GetArchiveByIDBadRequest
const GetArchiveByIDNotFoundCode int = 404
GetArchiveByIDNotFoundCode is the HTTP code returned for type GetArchiveByIDNotFound
const GetArchiveByIDOKCode int = 200
GetArchiveByIDOKCode is the HTTP code returned for type GetArchiveByIDOK
const GetArchivesForbiddenCode int = 403
GetArchivesForbiddenCode is the HTTP code returned for type GetArchivesForbidden
const GetArchivesInternalServerErrorCode int = 500
GetArchivesInternalServerErrorCode is the HTTP code returned for type GetArchivesInternalServerError
const GetArchivesMethodNotAllowedCode int = 405
GetArchivesMethodNotAllowedCode is the HTTP code returned for type GetArchivesMethodNotAllowed
const GetArchivesNotFoundCode int = 404
GetArchivesNotFoundCode is the HTTP code returned for type GetArchivesNotFound
const GetArchivesOKCode int = 200
GetArchivesOKCode is the HTTP code returned for type GetArchivesOK
GetArchivesServiceUnavailableCode is the HTTP code returned for type GetArchivesServiceUnavailable
const NewArchiveForbiddenCode int = 403
NewArchiveForbiddenCode is the HTTP code returned for type NewArchiveForbidden
const NewArchiveInternalServerErrorCode int = 500
NewArchiveInternalServerErrorCode is the HTTP code returned for type NewArchiveInternalServerError
const NewArchiveMethodNotAllowedCode int = 405
NewArchiveMethodNotAllowedCode is the HTTP code returned for type NewArchiveMethodNotAllowed
const NewArchiveNotFoundCode int = 404
NewArchiveNotFoundCode is the HTTP code returned for type NewArchiveNotFound
const NewArchiveOKCode int = 200
NewArchiveOKCode is the HTTP code returned for type NewArchiveOK
NewArchiveServiceUnavailableCode is the HTTP code returned for type NewArchiveServiceUnavailable
const UpdateArchiveBadGatewayCode int = 502
UpdateArchiveBadGatewayCode is the HTTP code returned for type UpdateArchiveBadGateway
const UpdateArchiveForbiddenCode int = 403
UpdateArchiveForbiddenCode is the HTTP code returned for type UpdateArchiveForbidden
const UpdateArchiveGatewayTimeoutCode int = 504
UpdateArchiveGatewayTimeoutCode is the HTTP code returned for type UpdateArchiveGatewayTimeout
const UpdateArchiveInternalServerErrorCode int = 500
UpdateArchiveInternalServerErrorCode is the HTTP code returned for type UpdateArchiveInternalServerError
const UpdateArchiveMethodNotAllowedCode int = 405
UpdateArchiveMethodNotAllowedCode is the HTTP code returned for type UpdateArchiveMethodNotAllowed
const UpdateArchiveNotFoundCode int = 404
UpdateArchiveNotFoundCode is the HTTP code returned for type UpdateArchiveNotFound
const UpdateArchiveOKCode int = 200
UpdateArchiveOKCode is the HTTP code returned for type UpdateArchiveOK
UpdateArchiveServiceUnavailableCode is the HTTP code returned for type UpdateArchiveServiceUnavailable
Variables ¶
This section is empty.
Functions ¶
This section is empty.
Types ¶
type GetArchiveByID ¶
type GetArchiveByID struct {
Context *middleware.Context
Handler GetArchiveByIDHandler
}
GetArchiveByID swagger:route GET /archives/{archiveId} archive getArchiveById
Find archive by ID ¶
Query a single archive
func NewGetArchiveByID ¶
func NewGetArchiveByID(ctx *middleware.Context, handler GetArchiveByIDHandler) *GetArchiveByID
NewGetArchiveByID creates a new http.Handler for the get archive by Id operation
func (*GetArchiveByID) ServeHTTP ¶
func (o *GetArchiveByID) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type GetArchiveByIDBadRequest ¶
type GetArchiveByIDBadRequest struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
GetArchiveByIDBadRequest Invalid ID supplied
swagger:response getArchiveByIdBadRequest
func NewGetArchiveByIDBadRequest ¶
func NewGetArchiveByIDBadRequest() *GetArchiveByIDBadRequest
NewGetArchiveByIDBadRequest creates GetArchiveByIDBadRequest with default headers values
func (*GetArchiveByIDBadRequest) SetPayload ¶
func (o *GetArchiveByIDBadRequest) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the get archive by Id bad request response
func (*GetArchiveByIDBadRequest) WithPayload ¶
func (o *GetArchiveByIDBadRequest) WithPayload(payload *models.APIResponse) *GetArchiveByIDBadRequest
WithPayload adds the payload to the get archive by Id bad request response
func (*GetArchiveByIDBadRequest) WriteResponse ¶
func (o *GetArchiveByIDBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetArchiveByIDHandler ¶
type GetArchiveByIDHandler interface {
Handle(GetArchiveByIDParams) middleware.Responder
}
GetArchiveByIDHandler interface for that can handle valid get archive by Id params
type GetArchiveByIDHandlerFunc ¶
type GetArchiveByIDHandlerFunc func(GetArchiveByIDParams) middleware.Responder
GetArchiveByIDHandlerFunc turns a function with the right signature into a get archive by Id handler
func (GetArchiveByIDHandlerFunc) Handle ¶
func (fn GetArchiveByIDHandlerFunc) Handle(params GetArchiveByIDParams) middleware.Responder
Handle executing the request and returning a response
type GetArchiveByIDNotFound ¶
type GetArchiveByIDNotFound struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
GetArchiveByIDNotFound Archive not found
swagger:response getArchiveByIdNotFound
func NewGetArchiveByIDNotFound ¶
func NewGetArchiveByIDNotFound() *GetArchiveByIDNotFound
NewGetArchiveByIDNotFound creates GetArchiveByIDNotFound with default headers values
func (*GetArchiveByIDNotFound) SetPayload ¶
func (o *GetArchiveByIDNotFound) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the get archive by Id not found response
func (*GetArchiveByIDNotFound) WithPayload ¶
func (o *GetArchiveByIDNotFound) WithPayload(payload *models.APIResponse) *GetArchiveByIDNotFound
WithPayload adds the payload to the get archive by Id not found response
func (*GetArchiveByIDNotFound) WriteResponse ¶
func (o *GetArchiveByIDNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetArchiveByIDOK ¶
GetArchiveByIDOK successful operation
swagger:response getArchiveByIdOK
func NewGetArchiveByIDOK ¶
func NewGetArchiveByIDOK() *GetArchiveByIDOK
NewGetArchiveByIDOK creates GetArchiveByIDOK with default headers values
func (*GetArchiveByIDOK) SetPayload ¶
func (o *GetArchiveByIDOK) SetPayload(payload *models.Archive)
SetPayload sets the payload to the get archive by Id o k response
func (*GetArchiveByIDOK) WithPayload ¶
func (o *GetArchiveByIDOK) WithPayload(payload *models.Archive) *GetArchiveByIDOK
WithPayload adds the payload to the get archive by Id o k response
func (*GetArchiveByIDOK) WriteResponse ¶
func (o *GetArchiveByIDOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetArchiveByIDParams ¶
type GetArchiveByIDParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*ID of archive to return
Required: true
In: path
*/
ArchiveID int64
}
GetArchiveByIDParams contains all the bound params for the get archive by Id operation typically these are obtained from a http.Request
swagger:parameters getArchiveById
func NewGetArchiveByIDParams ¶
func NewGetArchiveByIDParams() GetArchiveByIDParams
NewGetArchiveByIDParams creates a new GetArchiveByIDParams object
There are no default values defined in the spec.
func (*GetArchiveByIDParams) BindRequest ¶
func (o *GetArchiveByIDParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetArchiveByIDParams() beforehand.
type GetArchiveByIDURL ¶
type GetArchiveByIDURL struct {
ArchiveID int64
// contains filtered or unexported fields
}
GetArchiveByIDURL generates an URL for the get archive by Id operation
func (*GetArchiveByIDURL) Build ¶
func (o *GetArchiveByIDURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetArchiveByIDURL) BuildFull ¶
func (o *GetArchiveByIDURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetArchiveByIDURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetArchiveByIDURL) SetBasePath ¶
func (o *GetArchiveByIDURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetArchiveByIDURL) String ¶
func (o *GetArchiveByIDURL) String() string
String returns the string representation of the path with query string
func (*GetArchiveByIDURL) StringFull ¶
func (o *GetArchiveByIDURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetArchiveByIDURL) WithBasePath ¶
func (o *GetArchiveByIDURL) WithBasePath(bp string) *GetArchiveByIDURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type GetArchives ¶
type GetArchives struct {
Context *middleware.Context
Handler GetArchivesHandler
}
GetArchives swagger:route GET /archives archive getArchives
Query archive info ¶
Retrieve progress, information and state of all archives
func NewGetArchives ¶
func NewGetArchives(ctx *middleware.Context, handler GetArchivesHandler) *GetArchives
NewGetArchives creates a new http.Handler for the get archives operation
func (*GetArchives) ServeHTTP ¶
func (o *GetArchives) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type GetArchivesForbidden ¶
type GetArchivesForbidden struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
GetArchivesForbidden Forbidden from querying archive info
swagger:response getArchivesForbidden
func NewGetArchivesForbidden ¶
func NewGetArchivesForbidden() *GetArchivesForbidden
NewGetArchivesForbidden creates GetArchivesForbidden with default headers values
func (*GetArchivesForbidden) SetPayload ¶
func (o *GetArchivesForbidden) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the get archives forbidden response
func (*GetArchivesForbidden) WithPayload ¶
func (o *GetArchivesForbidden) WithPayload(payload *models.APIResponse) *GetArchivesForbidden
WithPayload adds the payload to the get archives forbidden response
func (*GetArchivesForbidden) WriteResponse ¶
func (o *GetArchivesForbidden) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetArchivesHandler ¶
type GetArchivesHandler interface {
Handle(GetArchivesParams) middleware.Responder
}
GetArchivesHandler interface for that can handle valid get archives params
type GetArchivesHandlerFunc ¶
type GetArchivesHandlerFunc func(GetArchivesParams) middleware.Responder
GetArchivesHandlerFunc turns a function with the right signature into a get archives handler
func (GetArchivesHandlerFunc) Handle ¶
func (fn GetArchivesHandlerFunc) Handle(params GetArchivesParams) middleware.Responder
Handle executing the request and returning a response
type GetArchivesInternalServerError ¶
type GetArchivesInternalServerError struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
GetArchivesInternalServerError TOC controller error
swagger:response getArchivesInternalServerError
func NewGetArchivesInternalServerError ¶
func NewGetArchivesInternalServerError() *GetArchivesInternalServerError
NewGetArchivesInternalServerError creates GetArchivesInternalServerError with default headers values
func (*GetArchivesInternalServerError) SetPayload ¶
func (o *GetArchivesInternalServerError) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the get archives internal server error response
func (*GetArchivesInternalServerError) WithPayload ¶
func (o *GetArchivesInternalServerError) WithPayload(payload *models.APIResponse) *GetArchivesInternalServerError
WithPayload adds the payload to the get archives internal server error response
func (*GetArchivesInternalServerError) WriteResponse ¶
func (o *GetArchivesInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetArchivesMethodNotAllowed ¶
type GetArchivesMethodNotAllowed struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
GetArchivesMethodNotAllowed Bad request
swagger:response getArchivesMethodNotAllowed
func NewGetArchivesMethodNotAllowed ¶
func NewGetArchivesMethodNotAllowed() *GetArchivesMethodNotAllowed
NewGetArchivesMethodNotAllowed creates GetArchivesMethodNotAllowed with default headers values
func (*GetArchivesMethodNotAllowed) SetPayload ¶
func (o *GetArchivesMethodNotAllowed) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the get archives method not allowed response
func (*GetArchivesMethodNotAllowed) WithPayload ¶
func (o *GetArchivesMethodNotAllowed) WithPayload(payload *models.APIResponse) *GetArchivesMethodNotAllowed
WithPayload adds the payload to the get archives method not allowed response
func (*GetArchivesMethodNotAllowed) WriteResponse ¶
func (o *GetArchivesMethodNotAllowed) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetArchivesNotFound ¶
type GetArchivesNotFound struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
GetArchivesNotFound Archive not found
swagger:response getArchivesNotFound
func NewGetArchivesNotFound ¶
func NewGetArchivesNotFound() *GetArchivesNotFound
NewGetArchivesNotFound creates GetArchivesNotFound with default headers values
func (*GetArchivesNotFound) SetPayload ¶
func (o *GetArchivesNotFound) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the get archives not found response
func (*GetArchivesNotFound) WithPayload ¶
func (o *GetArchivesNotFound) WithPayload(payload *models.APIResponse) *GetArchivesNotFound
WithPayload adds the payload to the get archives not found response
func (*GetArchivesNotFound) WriteResponse ¶
func (o *GetArchivesNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetArchivesOK ¶
GetArchivesOK Archive info retrieved
swagger:response getArchivesOK
func NewGetArchivesOK ¶
func NewGetArchivesOK() *GetArchivesOK
NewGetArchivesOK creates GetArchivesOK with default headers values
func (*GetArchivesOK) SetPayload ¶
func (o *GetArchivesOK) SetPayload(payload []*models.Archive)
SetPayload sets the payload to the get archives o k response
func (*GetArchivesOK) WithPayload ¶
func (o *GetArchivesOK) WithPayload(payload []*models.Archive) *GetArchivesOK
WithPayload adds the payload to the get archives o k response
func (*GetArchivesOK) WriteResponse ¶
func (o *GetArchivesOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetArchivesParams ¶
GetArchivesParams contains all the bound params for the get archives operation typically these are obtained from a http.Request
swagger:parameters getArchives
func NewGetArchivesParams ¶
func NewGetArchivesParams() GetArchivesParams
NewGetArchivesParams creates a new GetArchivesParams object
There are no default values defined in the spec.
func (*GetArchivesParams) BindRequest ¶
func (o *GetArchivesParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetArchivesParams() beforehand.
type GetArchivesServiceUnavailable ¶
type GetArchivesServiceUnavailable struct {
Payload *models.APIResponse `json:"body,omitempty"`
}
GetArchivesServiceUnavailable Service unavailable
swagger:response getArchivesServiceUnavailable
func NewGetArchivesServiceUnavailable ¶
func NewGetArchivesServiceUnavailable() *GetArchivesServiceUnavailable
NewGetArchivesServiceUnavailable creates GetArchivesServiceUnavailable with default headers values
func (*GetArchivesServiceUnavailable) SetPayload ¶
func (o *GetArchivesServiceUnavailable) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the get archives service unavailable response
func (*GetArchivesServiceUnavailable) WithPayload ¶
func (o *GetArchivesServiceUnavailable) WithPayload(payload *models.APIResponse) *GetArchivesServiceUnavailable
WithPayload adds the payload to the get archives service unavailable response
func (*GetArchivesServiceUnavailable) WriteResponse ¶
func (o *GetArchivesServiceUnavailable) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetArchivesURL ¶
type GetArchivesURL struct {
// contains filtered or unexported fields
}
GetArchivesURL generates an URL for the get archives operation
func (*GetArchivesURL) Build ¶
func (o *GetArchivesURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetArchivesURL) BuildFull ¶
func (o *GetArchivesURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetArchivesURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetArchivesURL) SetBasePath ¶
func (o *GetArchivesURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetArchivesURL) String ¶
func (o *GetArchivesURL) String() string
String returns the string representation of the path with query string
func (*GetArchivesURL) StringFull ¶
func (o *GetArchivesURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetArchivesURL) WithBasePath ¶
func (o *GetArchivesURL) WithBasePath(bp string) *GetArchivesURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type NewArchive ¶
type NewArchive struct {
Context *middleware.Context
Handler NewArchiveHandler
}
NewArchive swagger:route POST /archives archive newArchive
Archive data ¶
Create a ZIP archive of backup snapshot data
func NewNewArchive ¶
func NewNewArchive(ctx *middleware.Context, handler NewArchiveHandler) *NewArchive
NewNewArchive creates a new http.Handler for the new archive operation
func (*NewArchive) ServeHTTP ¶
func (o *NewArchive) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type NewArchiveForbidden ¶
type NewArchiveForbidden struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
NewArchiveForbidden Forbidden from archiving data
swagger:response newArchiveForbidden
func NewNewArchiveForbidden ¶
func NewNewArchiveForbidden() *NewArchiveForbidden
NewNewArchiveForbidden creates NewArchiveForbidden with default headers values
func (*NewArchiveForbidden) SetPayload ¶
func (o *NewArchiveForbidden) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the new archive forbidden response
func (*NewArchiveForbidden) WithPayload ¶
func (o *NewArchiveForbidden) WithPayload(payload *models.APIResponse) *NewArchiveForbidden
WithPayload adds the payload to the new archive forbidden response
func (*NewArchiveForbidden) WriteResponse ¶
func (o *NewArchiveForbidden) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type NewArchiveHandler ¶
type NewArchiveHandler interface {
Handle(NewArchiveParams) middleware.Responder
}
NewArchiveHandler interface for that can handle valid new archive params
type NewArchiveHandlerFunc ¶
type NewArchiveHandlerFunc func(NewArchiveParams) middleware.Responder
NewArchiveHandlerFunc turns a function with the right signature into a new archive handler
func (NewArchiveHandlerFunc) Handle ¶
func (fn NewArchiveHandlerFunc) Handle(params NewArchiveParams) middleware.Responder
Handle executing the request and returning a response
type NewArchiveInternalServerError ¶
type NewArchiveInternalServerError struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
NewArchiveInternalServerError TOC controller error
swagger:response newArchiveInternalServerError
func NewNewArchiveInternalServerError ¶
func NewNewArchiveInternalServerError() *NewArchiveInternalServerError
NewNewArchiveInternalServerError creates NewArchiveInternalServerError with default headers values
func (*NewArchiveInternalServerError) SetPayload ¶
func (o *NewArchiveInternalServerError) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the new archive internal server error response
func (*NewArchiveInternalServerError) WithPayload ¶
func (o *NewArchiveInternalServerError) WithPayload(payload *models.APIResponse) *NewArchiveInternalServerError
WithPayload adds the payload to the new archive internal server error response
func (*NewArchiveInternalServerError) WriteResponse ¶
func (o *NewArchiveInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type NewArchiveMethodNotAllowed ¶
type NewArchiveMethodNotAllowed struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
NewArchiveMethodNotAllowed Bad request
swagger:response newArchiveMethodNotAllowed
func NewNewArchiveMethodNotAllowed ¶
func NewNewArchiveMethodNotAllowed() *NewArchiveMethodNotAllowed
NewNewArchiveMethodNotAllowed creates NewArchiveMethodNotAllowed with default headers values
func (*NewArchiveMethodNotAllowed) SetPayload ¶
func (o *NewArchiveMethodNotAllowed) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the new archive method not allowed response
func (*NewArchiveMethodNotAllowed) WithPayload ¶
func (o *NewArchiveMethodNotAllowed) WithPayload(payload *models.APIResponse) *NewArchiveMethodNotAllowed
WithPayload adds the payload to the new archive method not allowed response
func (*NewArchiveMethodNotAllowed) WriteResponse ¶
func (o *NewArchiveMethodNotAllowed) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type NewArchiveNotFound ¶
type NewArchiveNotFound struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
NewArchiveNotFound Data not found
swagger:response newArchiveNotFound
func NewNewArchiveNotFound ¶
func NewNewArchiveNotFound() *NewArchiveNotFound
NewNewArchiveNotFound creates NewArchiveNotFound with default headers values
func (*NewArchiveNotFound) SetPayload ¶
func (o *NewArchiveNotFound) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the new archive not found response
func (*NewArchiveNotFound) WithPayload ¶
func (o *NewArchiveNotFound) WithPayload(payload *models.APIResponse) *NewArchiveNotFound
WithPayload adds the payload to the new archive not found response
func (*NewArchiveNotFound) WriteResponse ¶
func (o *NewArchiveNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type NewArchiveOK ¶
NewArchiveOK Data archived
swagger:response newArchiveOK
func NewNewArchiveOK ¶
func NewNewArchiveOK() *NewArchiveOK
NewNewArchiveOK creates NewArchiveOK with default headers values
func (*NewArchiveOK) SetPayload ¶
func (o *NewArchiveOK) SetPayload(payload *models.Archive)
SetPayload sets the payload to the new archive o k response
func (*NewArchiveOK) WithPayload ¶
func (o *NewArchiveOK) WithPayload(payload *models.Archive) *NewArchiveOK
WithPayload adds the payload to the new archive o k response
func (*NewArchiveOK) WriteResponse ¶
func (o *NewArchiveOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type NewArchiveParams ¶
NewArchiveParams contains all the bound params for the new archive operation typically these are obtained from a http.Request
swagger:parameters newArchive
func NewNewArchiveParams ¶
func NewNewArchiveParams() NewArchiveParams
NewNewArchiveParams creates a new NewArchiveParams object
There are no default values defined in the spec.
func (*NewArchiveParams) BindRequest ¶
func (o *NewArchiveParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewNewArchiveParams() beforehand.
type NewArchiveServiceUnavailable ¶
type NewArchiveServiceUnavailable struct {
Payload *models.APIResponse `json:"body,omitempty"`
}
NewArchiveServiceUnavailable Service unavailable
swagger:response newArchiveServiceUnavailable
func NewNewArchiveServiceUnavailable ¶
func NewNewArchiveServiceUnavailable() *NewArchiveServiceUnavailable
NewNewArchiveServiceUnavailable creates NewArchiveServiceUnavailable with default headers values
func (*NewArchiveServiceUnavailable) SetPayload ¶
func (o *NewArchiveServiceUnavailable) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the new archive service unavailable response
func (*NewArchiveServiceUnavailable) WithPayload ¶
func (o *NewArchiveServiceUnavailable) WithPayload(payload *models.APIResponse) *NewArchiveServiceUnavailable
WithPayload adds the payload to the new archive service unavailable response
func (*NewArchiveServiceUnavailable) WriteResponse ¶
func (o *NewArchiveServiceUnavailable) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type NewArchiveURL ¶
type NewArchiveURL struct {
// contains filtered or unexported fields
}
NewArchiveURL generates an URL for the new archive operation
func (*NewArchiveURL) Build ¶
func (o *NewArchiveURL) Build() (*url.URL, error)
Build a url path and query string
func (*NewArchiveURL) BuildFull ¶
func (o *NewArchiveURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*NewArchiveURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*NewArchiveURL) SetBasePath ¶
func (o *NewArchiveURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*NewArchiveURL) String ¶
func (o *NewArchiveURL) String() string
String returns the string representation of the path with query string
func (*NewArchiveURL) StringFull ¶
func (o *NewArchiveURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*NewArchiveURL) WithBasePath ¶
func (o *NewArchiveURL) WithBasePath(bp string) *NewArchiveURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type UpdateArchive ¶
type UpdateArchive struct {
Context *middleware.Context
Handler UpdateArchiveHandler
}
UpdateArchive swagger:route PUT /archives archive updateArchive
Update archive status/info
Update archive status/info
func NewUpdateArchive ¶
func NewUpdateArchive(ctx *middleware.Context, handler UpdateArchiveHandler) *UpdateArchive
NewUpdateArchive creates a new http.Handler for the update archive operation
func (*UpdateArchive) ServeHTTP ¶
func (o *UpdateArchive) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type UpdateArchiveBadGateway ¶
type UpdateArchiveBadGateway struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
UpdateArchiveBadGateway Bad gateway. TOC controller error
swagger:response updateArchiveBadGateway
func NewUpdateArchiveBadGateway ¶
func NewUpdateArchiveBadGateway() *UpdateArchiveBadGateway
NewUpdateArchiveBadGateway creates UpdateArchiveBadGateway with default headers values
func (*UpdateArchiveBadGateway) SetPayload ¶
func (o *UpdateArchiveBadGateway) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the update archive bad gateway response
func (*UpdateArchiveBadGateway) WithPayload ¶
func (o *UpdateArchiveBadGateway) WithPayload(payload *models.APIResponse) *UpdateArchiveBadGateway
WithPayload adds the payload to the update archive bad gateway response
func (*UpdateArchiveBadGateway) WriteResponse ¶
func (o *UpdateArchiveBadGateway) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateArchiveForbidden ¶
type UpdateArchiveForbidden struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
UpdateArchiveForbidden Forbidden from updating archive
swagger:response updateArchiveForbidden
func NewUpdateArchiveForbidden ¶
func NewUpdateArchiveForbidden() *UpdateArchiveForbidden
NewUpdateArchiveForbidden creates UpdateArchiveForbidden with default headers values
func (*UpdateArchiveForbidden) SetPayload ¶
func (o *UpdateArchiveForbidden) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the update archive forbidden response
func (*UpdateArchiveForbidden) WithPayload ¶
func (o *UpdateArchiveForbidden) WithPayload(payload *models.APIResponse) *UpdateArchiveForbidden
WithPayload adds the payload to the update archive forbidden response
func (*UpdateArchiveForbidden) WriteResponse ¶
func (o *UpdateArchiveForbidden) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateArchiveGatewayTimeout ¶
type UpdateArchiveGatewayTimeout struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
UpdateArchiveGatewayTimeout Gateway timeout. TOC controller did not reply.
swagger:response updateArchiveGatewayTimeout
func NewUpdateArchiveGatewayTimeout ¶
func NewUpdateArchiveGatewayTimeout() *UpdateArchiveGatewayTimeout
NewUpdateArchiveGatewayTimeout creates UpdateArchiveGatewayTimeout with default headers values
func (*UpdateArchiveGatewayTimeout) SetPayload ¶
func (o *UpdateArchiveGatewayTimeout) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the update archive gateway timeout response
func (*UpdateArchiveGatewayTimeout) WithPayload ¶
func (o *UpdateArchiveGatewayTimeout) WithPayload(payload *models.APIResponse) *UpdateArchiveGatewayTimeout
WithPayload adds the payload to the update archive gateway timeout response
func (*UpdateArchiveGatewayTimeout) WriteResponse ¶
func (o *UpdateArchiveGatewayTimeout) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateArchiveHandler ¶
type UpdateArchiveHandler interface {
Handle(UpdateArchiveParams) middleware.Responder
}
UpdateArchiveHandler interface for that can handle valid update archive params
type UpdateArchiveHandlerFunc ¶
type UpdateArchiveHandlerFunc func(UpdateArchiveParams) middleware.Responder
UpdateArchiveHandlerFunc turns a function with the right signature into a update archive handler
func (UpdateArchiveHandlerFunc) Handle ¶
func (fn UpdateArchiveHandlerFunc) Handle(params UpdateArchiveParams) middleware.Responder
Handle executing the request and returning a response
type UpdateArchiveInternalServerError ¶
type UpdateArchiveInternalServerError struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
UpdateArchiveInternalServerError TOC controller error
swagger:response updateArchiveInternalServerError
func NewUpdateArchiveInternalServerError ¶
func NewUpdateArchiveInternalServerError() *UpdateArchiveInternalServerError
NewUpdateArchiveInternalServerError creates UpdateArchiveInternalServerError with default headers values
func (*UpdateArchiveInternalServerError) SetPayload ¶
func (o *UpdateArchiveInternalServerError) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the update archive internal server error response
func (*UpdateArchiveInternalServerError) WithPayload ¶
func (o *UpdateArchiveInternalServerError) WithPayload(payload *models.APIResponse) *UpdateArchiveInternalServerError
WithPayload adds the payload to the update archive internal server error response
func (*UpdateArchiveInternalServerError) WriteResponse ¶
func (o *UpdateArchiveInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateArchiveMethodNotAllowed ¶
type UpdateArchiveMethodNotAllowed struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
UpdateArchiveMethodNotAllowed Bad request
swagger:response updateArchiveMethodNotAllowed
func NewUpdateArchiveMethodNotAllowed ¶
func NewUpdateArchiveMethodNotAllowed() *UpdateArchiveMethodNotAllowed
NewUpdateArchiveMethodNotAllowed creates UpdateArchiveMethodNotAllowed with default headers values
func (*UpdateArchiveMethodNotAllowed) SetPayload ¶
func (o *UpdateArchiveMethodNotAllowed) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the update archive method not allowed response
func (*UpdateArchiveMethodNotAllowed) WithPayload ¶
func (o *UpdateArchiveMethodNotAllowed) WithPayload(payload *models.APIResponse) *UpdateArchiveMethodNotAllowed
WithPayload adds the payload to the update archive method not allowed response
func (*UpdateArchiveMethodNotAllowed) WriteResponse ¶
func (o *UpdateArchiveMethodNotAllowed) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateArchiveNotFound ¶
type UpdateArchiveNotFound struct {
/*
In: Body
*/
Payload *models.APIResponse `json:"body,omitempty"`
}
UpdateArchiveNotFound TOC controller not found
swagger:response updateArchiveNotFound
func NewUpdateArchiveNotFound ¶
func NewUpdateArchiveNotFound() *UpdateArchiveNotFound
NewUpdateArchiveNotFound creates UpdateArchiveNotFound with default headers values
func (*UpdateArchiveNotFound) SetPayload ¶
func (o *UpdateArchiveNotFound) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the update archive not found response
func (*UpdateArchiveNotFound) WithPayload ¶
func (o *UpdateArchiveNotFound) WithPayload(payload *models.APIResponse) *UpdateArchiveNotFound
WithPayload adds the payload to the update archive not found response
func (*UpdateArchiveNotFound) WriteResponse ¶
func (o *UpdateArchiveNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateArchiveOK ¶
UpdateArchiveOK Archive updated
swagger:response updateArchiveOK
func NewUpdateArchiveOK ¶
func NewUpdateArchiveOK() *UpdateArchiveOK
NewUpdateArchiveOK creates UpdateArchiveOK with default headers values
func (*UpdateArchiveOK) SetPayload ¶
func (o *UpdateArchiveOK) SetPayload(payload *models.Archive)
SetPayload sets the payload to the update archive o k response
func (*UpdateArchiveOK) WithPayload ¶
func (o *UpdateArchiveOK) WithPayload(payload *models.Archive) *UpdateArchiveOK
WithPayload adds the payload to the update archive o k response
func (*UpdateArchiveOK) WriteResponse ¶
func (o *UpdateArchiveOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateArchiveParams ¶
type UpdateArchiveParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*Archive request to update
Required: true
In: body
*/
Body *models.Archive
}
UpdateArchiveParams contains all the bound params for the update archive operation typically these are obtained from a http.Request
swagger:parameters updateArchive
func NewUpdateArchiveParams ¶
func NewUpdateArchiveParams() UpdateArchiveParams
NewUpdateArchiveParams creates a new UpdateArchiveParams object
There are no default values defined in the spec.
func (*UpdateArchiveParams) BindRequest ¶
func (o *UpdateArchiveParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewUpdateArchiveParams() beforehand.
type UpdateArchiveServiceUnavailable ¶
type UpdateArchiveServiceUnavailable struct {
Payload *models.APIResponse `json:"body,omitempty"`
}
UpdateArchiveServiceUnavailable Service unavailable on TOC controller
swagger:response updateArchiveServiceUnavailable
func NewUpdateArchiveServiceUnavailable ¶
func NewUpdateArchiveServiceUnavailable() *UpdateArchiveServiceUnavailable
NewUpdateArchiveServiceUnavailable creates UpdateArchiveServiceUnavailable with default headers values
func (*UpdateArchiveServiceUnavailable) SetPayload ¶
func (o *UpdateArchiveServiceUnavailable) SetPayload(payload *models.APIResponse)
SetPayload sets the payload to the update archive service unavailable response
func (*UpdateArchiveServiceUnavailable) WithPayload ¶
func (o *UpdateArchiveServiceUnavailable) WithPayload(payload *models.APIResponse) *UpdateArchiveServiceUnavailable
WithPayload adds the payload to the update archive service unavailable response
func (*UpdateArchiveServiceUnavailable) WriteResponse ¶
func (o *UpdateArchiveServiceUnavailable) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateArchiveURL ¶
type UpdateArchiveURL struct {
// contains filtered or unexported fields
}
UpdateArchiveURL generates an URL for the update archive operation
func (*UpdateArchiveURL) Build ¶
func (o *UpdateArchiveURL) Build() (*url.URL, error)
Build a url path and query string
func (*UpdateArchiveURL) BuildFull ¶
func (o *UpdateArchiveURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*UpdateArchiveURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*UpdateArchiveURL) SetBasePath ¶
func (o *UpdateArchiveURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*UpdateArchiveURL) String ¶
func (o *UpdateArchiveURL) String() string
String returns the string representation of the path with query string
func (*UpdateArchiveURL) StringFull ¶
func (o *UpdateArchiveURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*UpdateArchiveURL) WithBasePath ¶
func (o *UpdateArchiveURL) WithBasePath(bp string) *UpdateArchiveURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
Source Files
¶
- get_archive_by_id.go
- get_archive_by_id_parameters.go
- get_archive_by_id_responses.go
- get_archive_by_id_urlbuilder.go
- get_archives.go
- get_archives_parameters.go
- get_archives_responses.go
- get_archives_urlbuilder.go
- new_archive.go
- new_archive_parameters.go
- new_archive_responses.go
- new_archive_urlbuilder.go
- update_archive.go
- update_archive_parameters.go
- update_archive_responses.go
- update_archive_urlbuilder.go